Error while running rasa-x

(helpdesk) C:\Users\Abhishek Rathi\helpdesk-assistant-main>rasa x
Starting Rasa X in local mode... 🚀
Traceback (most recent call last):
  File "c:\users\public\anaconda3\lib\site-packages\alembic\script\base.py", line 162, in _catch_revision_errors
    yield
  File "c:\users\public\anaconda3\lib\site-packages\alembic\script\base.py", line 364, in _upgrade_revs        
    revs = list(revs)
  File "c:\users\public\anaconda3\lib\site-packages\alembic\script\revision.py", line 765, in _iterate_revisions
    requested_lowers = self.get_revisions(lower)
  File "c:\users\public\anaconda3\lib\site-packages\alembic\script\revision.py", line 319, in get_revisions    
    return sum([self.get_revisions(id_elem) for id_elem in id_], ())
  File "c:\users\public\anaconda3\lib\site-packages\alembic\script\revision.py", line 319, in <listcomp>       
    return sum([self.get_revisions(id_elem) for id_elem in id_], ())
  File "c:\users\public\anaconda3\lib\site-packages\alembic\script\revision.py", line 322, in get_revisions    
    return tuple(
  File "c:\users\public\anaconda3\lib\site-packages\alembic\script\revision.py", line 323, in <genexpr>        
    self._revision_for_ident(rev_id, branch_label)
  File "c:\users\public\anaconda3\lib\site-packages\alembic\script\revision.py", line 386, in _revision_for_ident
    raise ResolutionError(
alembic.script.revision.ResolutionError: No such revision or branch 'aa5425a6efca'

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "c:\users\public\anaconda3\lib\site-packages\rasa\cli\x.py", line 496, in run_locally
    local.main(
  File "c:\users\public\anaconda3\lib\site-packages\rasax\community\local.py", line 234, in main
    sql_migrations.run_migrations(session)
  File "c:\users\public\anaconda3\lib\site-packages\rasax\community\sql_migrations.py", line 25, in run_migrations
    _run_schema_migrations(session)
  File "c:\users\public\anaconda3\lib\site-packages\rasax\community\sql_migrations.py", line 41, in _run_schema_migrations
    _run_alembic_migration(alembic_config)
  File "c:\users\public\anaconda3\lib\site-packages\rasax\community\sql_migrations.py", line 65, in _run_alembic_migration
    command.upgrade(alembic_config, target_revision)
  File "c:\users\public\anaconda3\lib\site-packages\alembic\command.py", line 298, in upgrade
    script.run_env()
  File "c:\users\public\anaconda3\lib\site-packages\alembic\script\base.py", line 489, in run_env
    util.load_python_file(self.dir, "env.py")
  File "c:\users\public\anaconda3\lib\site-packages\alembic\util\pyfiles.py", line 98, in load_python_file     
    module = load_module_py(module_id, path)
  File "c:\users\public\anaconda3\lib\site-packages\alembic\util\compat.py", line 184, in load_module_py       
    spec.loader.exec_module(module)
  File "<frozen importlib._bootstrap_external>", line 783, in exec_module
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "c:\users\public\anaconda3\lib\site-packages\rasax\community\database\schema_migrations\alembic\env.py", line 96, in <module>
    run_migrations_online()
  File "c:\users\public\anaconda3\lib\site-packages\rasax\community\database\schema_migrations\alembic\env.py", line 86, in run_migrations_online
    context.run_migrations()
  File "<string>", line 8, in run_migrations
  File "c:\users\public\anaconda3\lib\site-packages\alembic\runtime\environment.py", line 846, in run_migrations
    self.get_context().run_migrations(**kw)
  File "c:\users\public\anaconda3\lib\site-packages\alembic\runtime\migration.py", line 511, in run_migrations 
    for step in self._migrations_fn(heads, self):
  File "c:\users\public\anaconda3\lib\site-packages\alembic\command.py", line 287, in upgrade
    return script._upgrade_revs(revision, rev)
  File "c:\users\public\anaconda3\lib\site-packages\alembic\script\base.py", line 365, in _upgrade_revs        
    return [
  File "c:\users\public\anaconda3\lib\contextlib.py", line 131, in __exit__
    self.gen.throw(type, value, traceback)
  File "c:\users\public\anaconda3\lib\site-packages\alembic\script\base.py", line 194, in _catch_revision_errors
    compat.raise_from_cause(util.CommandError(resolution))
  File "c:\users\public\anaconda3\lib\site-packages\alembic\util\compat.py", line 308, in raise_from_cause     
    reraise(type(exception), exception, tb=exc_tb, cause=exc_value)
  File "c:\users\public\anaconda3\lib\site-packages\alembic\util\compat.py", line 301, in reraise
    raise value.with_traceback(tb)
  File "c:\users\public\anaconda3\lib\site-packages\alembic\script\base.py", line 162, in _catch_revision_errors
    yield
  File "c:\users\public\anaconda3\lib\site-packages\alembic\script\base.py", line 364, in _upgrade_revs        
    revs = list(revs)
  File "c:\users\public\anaconda3\lib\site-packages\alembic\script\revision.py", line 765, in _iterate_revisions
    requested_lowers = self.get_revisions(lower)
  File "c:\users\public\anaconda3\lib\site-packages\alembic\script\revision.py", line 319, in get_revisions    
    return sum([self.get_revisions(id_elem) for id_elem in id_], ())
  File "c:\users\public\anaconda3\lib\site-packages\alembic\script\revision.py", line 319, in <listcomp>       
    return sum([self.get_revisions(id_elem) for id_elem in id_], ())
  File "c:\users\public\anaconda3\lib\site-packages\alembic\script\revision.py", line 322, in get_revisions    
    return tuple(
  File "c:\users\public\anaconda3\lib\site-packages\alembic\script\revision.py", line 323, in <genexpr>        
    self._revision_for_ident(rev_id, branch_label)
  File "c:\users\public\anaconda3\lib\site-packages\alembic\script\revision.py", line 386, in _revision_for_ident
    raise ResolutionError(
alembic.util.exc.CommandError: Can't locate revision identified by 'aa5425a6efca'

Sorry, something went wrong (see error above). Make sure to start Rasa X with valid data and valid domain and config files. Please, also check any warnings that popped up.
If you need help fixing the issue visit our forum: https://forum.rasa.com/.

Welcome to the forum @abhishekrathi !

Please delete the .db files i.e events and rasa from the project directory and run the rasa x again. Can you please share the rasa --version whilst activating you conda environment.

@abhishekrathi are you able to solve this? if yes can I request to please close this thread for other users. Thanks.

Issue resolved by installing older version of rasa os - 2.6.0. Not working with 2.8.15 in windows.

Please check if you can help with this issue

@abhishekrathi Ok, please close this thread with your solution, and this is not related to rasa installation or running rasa x. It is related to training the model of rasa x. (I will comment on the thread)